commit:     6b156b4160963b369d19cc6dd95a5ab0f3fe2764
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 28 18:34:44 2017 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Mar 28 18:35:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b156b41

dev-python/gevent: Version bump to 1.2.1

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/gevent/Manifest            |  1 +
 dev-python/gevent/gevent-1.2.1.ebuild | 73 +++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-python/gevent/Manifest b/dev-python/gevent/Manifest
index e55cfdaa119..3c5aa5a0d4e 100644
--- a/dev-python/gevent/Manifest
+++ b/dev-python/gevent/Manifest
@@ -4,3 +4,4 @@ DIST gevent-1.0.tar.gz 1437122 SHA256 
bfa9d846db91a7d8b6a36e87353eed641c7e3e7d0b
 DIST gevent-1.1.0.tar.gz 1968902 SHA256 
34f7a5eca1326affe149eaa5467220d89002facd338028d2340868015407ae75 SHA512 
e4dcb117e3c18359faefe9e9233dcda2089fdb6a4149b048881af3925f6c7b1e91447dbdcbaadd1c840c3161555f30054e60563cf78f000821cf7f12716c051d
 WHIRLPOOL 
a3508d805e24c3d10580127bb97a3c8c4f87ea928fa1d70096553e2e51bfa4497b8dda327d2418d916aedf4661478cdac25a42f951f13b698060f1b5187806cf
 DIST gevent-1.1.1.tar.gz 2008368 SHA256 
6ee5b9851b2acde08df7ab9b9a2903f58b4b0e555405c444f4b1dd16f71caeea SHA512 
b6342249695232532824f8ba643c4727bc409f9869aca7c26f95f8d6cb09c8fbd4ad7b04f7b4f37db9ac11e1d824a9bf9b67bf393fe183afc1b21c68959e4f78
 WHIRLPOOL 
8f6dd5fb848851e2c6d1fa4e4792c4c6ad4ceaeed429bac2052c4e40cc918ca5755be0f9b70663e89295a3860a9ac02f89b00e6503db26ab8881e1cc2dedca64
 DIST gevent-1.1.2.tar.gz 2007938 SHA256 
cb15cf73d69a2eeefed330858f09634e2c50bf46da9f9e7635730fcfb872c02c SHA512 
6b0a381486b0d8eaf446890bc6339ee1185ad666c11c8d56e25d148f8c6f2d7be955423c763486d1276d8d34cec933706eb3752b0894b3f5444f93fafd62cf3c
 WHIRLPOOL 
99c6d7eeaa13f714098498c85b56a81fb886cda60b9cdbab37196886340a24f0cf7c8ceb22680b7dd0126b82b77e3d5f0f20980ab07c9be3edbd9bd8bed0bd1f
+DIST gevent-1.2.1.tar.gz 2808619 SHA256 
3de300d0e32c31311e426e4d5d73b36777ed99c2bac3f8fbad939eeb2c29fa7c SHA512 
22740e8e114869c1f53bcfd6796226927a3a726d4fd49d104b947f0c97546c7490eabea98b4492db794e21d26d0aee85f1e40b01d386a47063b042a719e61726
 WHIRLPOOL 
db0055610130df7d5c4e914364a2bacedb2f3567db0bff730ebdc285cdb45c5409da5bea665d6776c92299eaa0b189a8815b57eafd5ce44e853ccfa20824d7b0

diff --git a/dev-python/gevent/gevent-1.2.1.ebuild 
b/dev-python/gevent/gevent-1.2.1.ebuild
new file mode 100644
index 00000000000..8cea645f250
--- /dev/null
+++ b/dev-python/gevent/gevent-1.2.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# http://www.gevent.org/whatsnew_1_1.html#broader-platform-support
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+MY_PV=${PV/_beta/b}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Coroutine-based network library"
+HOMEPAGE="http://gevent.org/ https://pypi.python.org/pypi/gevent/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples"
+
+RDEPEND="
+       >=dev-libs/libev-4.23
+       >=net-dns/c-ares-1.12
+       >=dev-python/greenlet-0.4.10
+       virtual/python-greenlet[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+# Tests take long and fail terribly a few times.
+# It also seems that they require network access.
+RESTRICT="test"
+
+S=${WORKDIR}/${MY_P}
+
+python_prepare_all() {
+       export LIBEV_EMBED="false"
+       export CARES_EMBED="false"
+       export EMBED="false"
+
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       append-flags -fno-strict-aliasing
+}
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_test() {
+       cd greentest || die
+
+       GEVENT_RESOLVER=thread \
+               "${PYTHON}" testrunner.py --config ../known_failures.py || die
+       GEVENT_RESOLVER=ares GEVENTARES_SERVERS=8.8.8.8 \
+               "${PYTHON}" testrunner.py --config ../known_failures.py \
+               --ignore tests_that_dont_use_resolver.txt || die
+       GEVENT_FILE=thread \
+               "${PYTHON}" testrunner.py --config ../known_failures.py $(grep 
-l subprocess test_*.py) || die
+}
+
+python_install_all() {
+       local DOCS=( AUTHORS CHANGES.rst README.rst )
+       use doc && local HTML_DOCS=( doc/_build/html/. )
+       use examples && dodoc -r examples
+
+       distutils-r1_python_install_all
+}

Reply via email to